import reactLogo from './assets/react.svg'
import viteLogo from '/vite.svg'
import './App.css'
import { Room } from 'livekit-client'
import { useEffect } from 'react'
import { jwtDecode } from 'jwt-decode'

function App() {

  const room: Room = new Room();
  const wsUrl = "wss://classlets-jczk3wmn.livekit.cloud";
  let token = "";
  useEffect(() => {
    fetch("http://localhost:8080/getToken")
      .then((res) => {
        return res.text();
      })
      .then((data) => {
        token = jwtDecode(data)
        console.log(token)
        room.connect(wsUrl, data);
      })
  }, [])




  return (
    <>
      <div>
        <a href="https://vite.dev" target="_blank">
          <img src={viteLogo} className="logo" alt="Vite logo" />
        </a>
        <a href="https://react.dev" target="_blank">
          <img src={reactLogo} className="logo react" alt="React logo" />
        </a>
      </div>
      <h1>Vite + React</h1>
      <div className="card">





      </div>
      <p className="read-the-docs">
        Click on the Vite and React logos to learn more
      </p>
    </>
  )
}

export default App
